package com.bcxin.backend.domain.system.dispatch.requests;

import com.bcxin.backend.domain.system.dispatch.snapshots.*;

public class UserDispatchRequest extends DispatchRequestAbstract {
    private UserDispatchRequest(DispatchType dispatchType, ValueSnapshot userValueSnapshot) {
        super(dispatchType, userValueSnapshot);
    }

    @Override
    public String getConfigKey() {
        return "user";
    }

    public static UserDispatchRequest create(DispatchType dispatchType, UserValueSnapshot userValueSnapshot) {
        return new UserDispatchRequest(dispatchType, userValueSnapshot);
    }

    public static UserDispatchRequest createDeleted(ValueRemovedSnapshot valueRemovedSnapshot) {
        return new UserDispatchRequest(DispatchType.Deleted, valueRemovedSnapshot);
    }
}
